import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { MultipleAutoCompleteComponent } from './multiple/multiple-auto-complete.component';
import { SingleAutoCompleteComponent } from './single/single-auto-complete.component';


@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule
	],
	declarations: [
		SingleAutoCompleteComponent,
		MultipleAutoCompleteComponent
	],
	exports: [
		SingleAutoCompleteComponent,
		MultipleAutoCompleteComponent
	]
})
export class AutoCompleteModule {
	constructor() { }
}
