import { FormGroup } from '@angular/forms';
import { FieldDataEditorModel } from './field-data-editor-model';
import { DatePickerFieldData } from '../../../../../core/model/dataset-profile-definition/field-data/field-data';

export class DatePickerDataEditorModel extends FieldDataEditorModel<DatePickerDataEditorModel> {
    public label: string;
    
	buildForm(): FormGroup {
		const formGroup = this.formBuilder.group({
			label: [this.label]
		});
		return formGroup;
	}

	fromModel(item: DatePickerFieldData): DatePickerDataEditorModel {
		this.label = item.label;
		return this;
	}
}
