﻿import { FormGroup } from "@angular/forms";
import { ViewStyle } from "../../../../core/model/admin/dataset-profile/dataset-profile";
import { BaseFormModel } from "../../../../core/model/base-form-model";

export class ViewStyleEditorModel extends BaseFormModel {
	public cssClass: string;
	public renderStyle: string;

	fromModel(item: ViewStyle): ViewStyleEditorModel {
		this.cssClass = item.cssClass;
		this.renderStyle = item.renderStyle;
		return this;
	}

	buildForm(): FormGroup {
		const formGroup = this.formBuilder.group({
			cssClass: [this.cssClass],
			renderStyle: [this.renderStyle]

		});
		return formGroup;
	}
}
