package eu.eudat.logic.managers;

import eu.eudat.data.entities.DataRepository;
import eu.eudat.data.entities.Registry;
import eu.eudat.logic.services.ApiContext;
import eu.eudat.models.data.datarepository.DataRepositoryModel;
import eu.eudat.models.data.registries.RegistryModel;
import org.springframework.stereotype.Component;

/**
 * Created by ikalyvas on 9/3/2018.
 */
@Component
public class RegistryManager {
    public Registry create(ApiContext apiContext, RegistryModel registryModel) throws Exception {
        Registry registry = registryModel.toDataModel();
        return apiContext.getOperationsContext().getDatabaseRepository().getRegistryDao().createOrUpdate(registry);
    }
}
