import { FormGroup } from '@angular/forms';
import { FreeTextFieldData } from '../../../../../core/model/dataset-profile-definition/field-data/field-data';
import { FieldDataEditorModel } from './field-data-editor-model';

export class FreeTextFieldDataEditorModel extends FieldDataEditorModel<FreeTextFieldDataEditorModel> {

	buildForm(): FormGroup {
		const formGroup = this.formBuilder.group({
			label: this.label
		});
		return formGroup;
	}

	fromModel(item: FreeTextFieldData): FreeTextFieldDataEditorModel {
		this.label = item.label;
		return this;
	}
}
