import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DatasetProfileEditorComponent } from './editor/dataset-profile-editor.component';
import { DatasetProfileListingComponent } from './listing/dataset-profile-listing.component';

const routes: Routes = [
	{
		path: 'new',
		component: DatasetProfileEditorComponent
	},
	{
		path: ':id',
		component: DatasetProfileEditorComponent
	},
	{
		path: 'clone/:cloneid',
		component: DatasetProfileEditorComponent
	},
	{
		path: '',
		component: DatasetProfileListingComponent,
	},
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule]
})
export class DatasetProfileRoutingModule { }