import { NgModule } from '@angular/core';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { CardComponent } from './card/card.component';
import { DashboardComponent } from './dashboard.component';
import { DashboardRoutingModule } from './dashboard.routing';
import { RecentActivityComponent } from './recent-activity/recent-activity.component';

@NgModule({
	imports: [
		CommonUiModule,
		DashboardRoutingModule
	],
	declarations: [
		DashboardComponent,
		RecentActivityComponent,
		CardComponent
	]
})
export class DashboardModule { }
